<?php
//linha 2 comentada

require_once(dirname(__FILE__).'/autoload.php');
protegeArquivo(basename(__FILE__));
class encriptar
{
##função1#########################
//ESTA FUNCAO vai criar o codigo
//vai salvar na tabela certificado e vai retornar o link para a pessoa imprimir 
function certificado($iddoc)
{
        //aqui vai ler o arquivo da sessao do certificado digital
		$sessao = new sessao();
	    $login=$sessao->getVar('loginuser');
		//se nao acha o login trazido pelo token ele acaba com a senha encriptada e nao vai gravar nada
		//ENTRA DE QUAKQUER MANEIRA
		$generica=new tabelagenerica();
		$generica->tabela="sessao_certificado";
		$generica->campos_valores = array(
				"usuario" => NULL,
			);
		$generica->extras_select =" where  usuario ='".$login."'";
		$generica->selecionaCampos($generica);
		$contaAcesso=0;
		while ($resgenerica = $generica->retornaDados()):
		    $contaAcesso=1;
		endwhile;	
         //aqui vai salvar na tabela certificado
		 //$chave=md5($amostraLong);
		 $montagem=$iddoc."=".date("Y-m-d H:i:s");
		 $chaveMD5=strtoupper(md5($montagem ?? ""));
		 $chave="";
		 $limite=15;
		 for($ii=0;$ii<=$limite;$ii++):
            $posicao=$ii*2;
            if($ii<15):
			    $chave=$chave.substr($chaveMD5,$posicao,2).'-';  		 
		    else:
			    $chave=$chave.substr($chaveMD5,$posicao,2);  		 
			endif;		
		 
		 endfor;
		 //$chave="DD-FF-GG";
		 $sql="insert into certificadoDigital(ced_chave,ced_iddoc)";
         $sql.="values('$chave','$iddoc')";
	     //echo("sql de gravacao=$sql<br>");
         $userNota = new generica();
         $userNota->campos_valores = $sql;				 
		 $userNota->inserirEspecial($userNota);
		 $idNota=$userNota->linhasafetadas;
		 //echo $sql;
		 if($contaAcesso==0)$chave="";//se nao achou o registro ele acaba com o registro
 		 return $chave;
}//fim da function certificado
}//final da classe encriptar
?>
